<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: cbb61111 (2022-08-23 01:35:55)
// 

use ArfaCMS\Core\Portal;
use ArfaCMS\Sprav\SpravView;

defined('_ARFACMS_VALID') or die("Access denied");

class catalogViewDiscounts extends SpravView {
	public function modify($row) {
		$script="";
		$script.="function updateDiscountPeriodVisibility(checked){
					if(checked){
						$('#wrapper-d_start_date').hide();
						$('#wrapper-d_end_date').hide();
					} else {
						$('#wrapper-d_start_date').show();
						$('#wrapper-d_end_date').show();
					}
				}
				$(document).ready(function(){
					$('#d_period_unlimited').change(function() {
						updateDiscountPeriodVisibility($(this).attr('checked'));
					});
					updateDiscountPeriodVisibility($('#d_period_unlimited').attr('checked'));
				}); \n";
		if($script) Portal::getInstance()->addScriptDeclaration($script);
		parent::modify($row);
	
	}
}
?>