<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 848cd52c (2022-08-23 02:22:15)
// 

use ArfaCMS\Core\Router;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

//$spr_tmpl_overrided=1;
?>
<h1 class="title"><?php echo Text::_("Manufacturer info"); ?></h1>
<?php if(is_object($row)){ ?>
	<div class="row buttons-top">
		<div class="col-sm-12">
			<a class="linkButton btn btn-info" onclick="setCustomGoodsFilter('manufacturer',<?php echo $psid; ?>,'<?php echo Router::_("index.php?module=catalog");?>');"><?php echo Text::_("Show goods by manufacturer"); ?></a>
		</div>
	</div>
<?php } else {
	echo "<div class=\"spravInfo row\"><div class=\"col-xs-12\">".Text::_("Does not contain the data")."</div></div>";
}
?>