<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 38678579 (2022-08-23 12:28:23)
// 

use ArfaCMS\Core\Router;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

?>
<div class="container"><div class="row"><div class="col-md-12"><div class="install-manager rounded-pan rounded-pan-medium">
	<h4 class="title">
	<?php 
		if ($this->mode=="install") echo Text::_("Package instalation results"); 
		if ($this->mode=="uninstall") echo Text::_("Package uninstall results"); 
		?>
	</h4>
	<div class="installer">
		<?php
		if (count($this->log)) {
			foreach($this->log as $key=>$msg){
				echo "<p class=\"log_".$msg["type"]."\">".$msg["text"]."</p>";
			}		
		}
		if ($this->result)	echo "<p class=\"log_message\">".$this->msg."</p>";
		else echo "<p class=\"log_error\">".$this->msg."</p>";
		?>
	</div>
	<div class="buttons"><a class="linkButton btn btn-info" href="<?php echo Router::_("index.php?module=installer"); ?>"><?php echo Text::_("Installer"); ?></a></div>
</div></div></div></div>