<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 848cd52c (2022-08-23 02:22:15)
// 

use ArfaCMS\Core\Address;
use ArfaCMS\Core\HTMLControls;
use ArfaCMS\Core\Router;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

$address=$this->address;
if ($address["psid"]) $title=Text::_("Changing data"); else  $title=Text::_("Adding data"); 
?>
<form action="<?php echo Router::_("index.php"); ?>" method="post" name="addressForm" id="addressForm">
	<input type="hidden"  name="task" value="saveAddress" />
	<input type="hidden"  name="module" value="user" />
	<input type="hidden"  name="view" value="panel" />
	<input type="hidden"  name="psid" value="<?php echo $address["psid"];?>" />
	<div class="userAddress">
		<h3 class="title" colspan="3"><?php echo $title;?></h3>
		<div class="addressPanel"><div class="row"><div class="col-sm-5"><?php echo HTMLControls::renderLabelField("", Text::_("Address type").":");?></div><div class="col-sm-7"><?php echo Address::renderTypeSelector($address['type_id'])?></div></div></div>
		<?php echo Address::renderEditor($address, false, true);?>
		<div class="buttons">
			<input class="commonButton btn btn-info" onclick="submitAddress();" type="submit" name="submit"  value="<?php echo Text::_("Save"); ?>" />
		</div>
	</div>
</form>
