<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 0fc0f7b0 (2022-08-18 18:57:04)
// 

namespace ArfaCMS\Core;

use ArfaCMS\DB\Database;

defined('_ARFACMS_VALID') or die("Access denied");

class Taxes
{
    public static function getAllTaxes()
    {
        $db = Database::getInstance();
        $sql = "SELECT * FROM #__taxes WHERE t_enabled=1 AND t_deleted=0";
        $db->setQuery($sql);
        return $db->loadObjectList("t_id");
    }

    public static function getTax($tax_id, $enabled_only = true)
    {
        $tax = false;
        $db = Database::getInstance();
        $sql = "SELECT * FROM #__taxes WHERE t_id=" . $tax_id;
        if ($enabled_only) $sql .= " AND t_enabled=1 AND t_deleted=0";
        $db->setQuery($sql);
        $db->loadObject($tax);
        return $tax;
    }
}

?>