<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: ba45f707 (2022-08-19 23:12:40)
// 

use ArfaCMS\Core\Request;

defined('_ARFACMS_VALID') or die("Access denied");

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ru-ru" lang="ru-ru">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta name="generator" content="Arfa-CMS" />
	<meta name="description" content="" />
	<meta http-equiv="Pragma" content="no-cache" />
	<meta content="no-cache" http-equiv="cache-control" />
	<meta name="keywords" content="Arfa-CMS" />
	<title>Установка Arfa-CMS</title>
	<!-- Stylesheets -->
	<link rel="stylesheet" type="text/css" href="install/css/basicstyle.css" />
	<link rel="stylesheet" type="text/css" href="install/css/main.css" />
	<!-- Scripts -->
	<script src="/assets/extra/jquery/jquery-min.js"></script>
	<script src="/install/js/main.js"></script>
	<!--[if lte IE 7]>
	<script>
		document.location.href = '/ie.html';
	</script>
	<![endif]-->
	<!-- Script declarations -->
	<script>//<![CDATA[
	<?php $step=Request::getInt('step',0); ?>
		var tb='tb<?php echo $step; ?>';
	// ]]></script>
</head>
<body>
	<div id="install-wrapper" class="main">
		<!-- MAIN NAVIGATION -->
		<div id="install-nav-wrap" class="float-fix">
			<div id="install-nav" class="float-fix">
				<div id="install-mainnav" class="float-fix">
					<div class="install-menu float-fix">
                        <h1 class="logo">
                            <a target="_blank" href="http://arfa-cms.ru" title="">&nbsp;</a>
                        </h1>
						<ul class="megamenu level0">
							<li class="mega"><a href="install.php" class="mega" id="tb0" title=""><span class="menu-title">Шаг 0</span></a></li>
							<li class="mega"><a class="mega" id="tb1" title=""><span class="menu-title">Шаг 1</span></a></li>
							<li class="mega"><a class="mega" id="tb2" title=""><span class="menu-title">Шаг 2</span></a></li>
							<li class="mega"><a class="mega" id="tb3" title=""><span class="menu-title">Шаг 3</span></a></li>
							<li id="last_li" class="mega"><a class="mega" id="tb4" title=""><span class="menu-title">Шаг 4</span></a></li>
						</ul>
					</div>
				</div>
			</div>
		</div>
		<div id="install-container" class="float-fix">
			<div class="float-fix">
				<div id="install-mainbody" class="float-fix">
					<div id="content" class="float-fix">
						<div class="nopad float-fix">
							<?php echo $stepHTML; ?>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div id="install-footer" class="float-fix">
			<div class="install-copyright"><a href="http://arfa-cms.ru/" target="_blank">Radius17</a> © 2010-<?php echo date("Y");?>. All rights reserved.</div>
		</div>
	</div>
</body>
</html>