<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: e75febff (2023-03-01 16:04:15)
// 

use ArfaCMS\Core\simpleTreeTable;

defined('_ARFACMS_VALID') or die("Access denied");

class articleModelTree extends simpleTreeTable {
  public function __construct() {
  	parent::__construct();
  	$this->table="articles";
    $this->fld_id="a_id";
    $this->fld_parent_id="a_parent_id";
    $this->fld_title="a_title";
    $this->fld_deleted="a_deleted";
    $this->fld_enabled="a_published";
    $this->fld_alias="a_alias";
    $this->fld_orderby="a_ordering";
    $this->element_link="index.php?module=article&amp;view=read&amp;psid=";
  }
}
?>