<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 2df7cdf1 (2023-01-28 23:27:55)
// 

use ArfaCMS\Core\Files;
use ArfaCMS\Core\Portal;
use ArfaCMS\MVC\View;

defined('_ARFACMS_VALID') or die("Access denied");

class articleViewList extends View {
	//
	
	public function getEmptyImage() {
		$imgurl="";
		$imgpath_c=PATH_IMAGES."nophoto.png";
		$imgpath_t=PATH_TEMPLATES.Portal::getInstance()->getTemplate().DS.'images'.DS."nophoto.png";
		if((file_exists($imgpath_t))&&(is_file($imgpath_t))) {
			$imgurl=Portal::getURI()."templates/".Portal::getInstance()->getTemplate()."/images/nophoto.png";
		} elseif((file_exists($imgpath_c))&&(is_file($imgpath_c))) {
			$imgurl=Portal::getURI()."assets/images/nophoto.png";
		} else $imgurl="";
		return  $imgurl;
	}
	public function getImage($img,$image_state=0) {
		$imgpath=ARFACMS_STORAGE_PATH.'article'.DS.'thumbs';
		$imgurl="";
		$imgpath.=DS.Files::splitAppendix($img,true);
		if((file_exists($imgpath))&&(is_file($imgpath))) {
			$imgurl=ARFACMS_STORAGE_LINK.'/article/thumbs/'.Files::splitAppendix($img);
		}
		return $imgurl;
	}
	
}

?>