<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 617f4f23 (2023-04-26 01:47:22)
// 

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "title" => "Order items",
        "tablename" => "orders_items",
        "keystring" => "i_id",
        "multy_field" => "i_order_id",
        "parent_table" => "orders",
        "parent_name" => "o_id",
        "parent_view" => "orders",
        "parent_code" => "o_id"
    ),
    "buttons" => array(
        "go_up" => array("show" => 1, "link" => false),
        "new" => array("show" => 0, "view" => "orders", "layout" => "order", "task" => "modify"),
        "modify" => array("show" => 0, "view" => "orders", "layout" => "order", "task" => "modify"),
        "delete" => array("show" => 1, "view" => "orders", "layout" => "order", "task" => "deleteNow"),
        "undelete" => array("show" => 0, "view" => "orders", "layout" => "order", "task" => "delete"),
        "trash" => array("show" => 0, "link" => false)
    ),
    "fields" => array(
        "field" => array(1 => 'i_id', 'i_order_id', 'i_g_id', 'i_g_name', 'i_g_options_text', 'i_g_options_files', 'i_g_quantity', 'i_g_measure', 'i_g_price', 'i_g_sum'),
        "name" => array(1 => 'ID', 'Order number', 'Goods id', 'Name', 'Options', 'Files', 'Quantity', 'Measure', 'Price', 'Sum'),
        "sort_order" => array(1 => 'NONE', 'NONE', 'NONE', 'NONE', 'NONE', 'NONE', 'NONE', 'NONE', 'NONE', 'NONE'),
        "input_type" => array(1 => 'label', 'label', 'label', 'label', 'label', 'label', 'label', 'label', 'label', 'label'),
        "val_type" => array(1 => 'int', 'int', 'int', 'string', 'string', 'string', 'float', 'string', 'currency', 'currency'),
        "fim" => array(6 => "getOrderFiles"),
        "ch_table" => array(8 => 'measure'),
        "ch_field" => array(8 => 'meas_short_name'),
        "ch_id" => array(8 => 'meas_id'),

    )
);
?>