<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 848cd52c (2022-08-23 02:22:15)
// 

use ArfaCMS\Core\aForm;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

$form=new aForm("import_form", "post", "index.php?module=catalog&view=import",false);
$form->addInput(array("ID"=>"step", "TYPE"=>"hidden", "NAME"=>"step", "VAL"=>3));
$form->addInput(array("CLASS"=>"commonButton btn btn-info","TYPE"=>"submit",	"VAL"=>Text::_("Upload"),	"ID"=>"doit", "NAME"=>"doit"));
$form->StartLayout();
?>
<div class="container"><div class="row"><div class="col-md-12"><div class="catalog-manager rounded-pan rounded-pan-mini">
	<h4 class="title"><?php echo Text::_("Import catalog data");?></h4>
	<div class="row"><div class="col-md-12">
		<p class="error"><?php echo Text::_("Make backup first")."!!!";?></p>
	</div></div>
	<div class="buttons">
		<?php $form->renderInputPart("step"); ?>
		<?php $form->renderInputPart("doit"); ?>
	</div>
</div></div></div></div>
<?php $form->endLayout(); ?>