<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 38678579 (2022-08-23 12:28:23)
// 

use ArfaCMS\Core\Portal;
use ArfaCMS\Core\Router;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

$uri = Portal::getInstance()->getTemplateURI();
?>
<div class="cpanel_ext container">
	<?php foreach ($this->icons_arr as $rk=>$_row) : ?>
	<div class="row">
		<?php foreach ($_row as $_k=>$_cell) : ?>
		<?php if(isset($this->disabled_modules[$_cell["module"]])) {
			$_cell["link"] = "#";
			$_cell["class"].= ($_cell["class"] ? " " : "")."disabled-icon";
		}
		?>
		<div class="col-xss-6 col-xs-4 col-sm-2 col-md-1"><div class="cpanel">
			<a title="<?php echo Text::_($_cell["title"]); ?>" class="<?php echo $_cell["class"]; ?>" href="<?php echo Router::_($_cell["link"])?>">
				<img alt="<?php echo Text::_($_cell["title"]); ?>" src="<?php echo $uri."images/cpanel/".$_cell["icon"]; ?>" />
				<br />
				<?php echo Text::_($_cell["title"]); ?>
			</a>
		</div></div>
		<?php endforeach; ?>
	</div>
	<?php endforeach; ?>
</div>