<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 38678579 (2022-08-23 12:28:23)
// 

use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

?>
<div class="container"><div class="row"><div class="col-md-12"><div class="conf-manager rounded-pan rounded-pan-mini">
<h4 class="title"><?php echo Text::_("Select widget type"); ?></h4>
<form id="widgetTypeSelector" action="index.php" method="post">
	<div class="row"><div class="col-md-12">
		<?php echo $this->widget_selector; ?>
	</div></div>
	<div class="buttons">
		<input type="hidden" id="task" value="SaveNewWidget" name="task" />
		<input type="hidden" id="module" value="conf" name="module" />
		<input type="hidden" id="view" value="widgets" name="view" />
		<input type="hidden" id="layout" value="" name="modify" />
		<input type="button" class="commonButton btn btn-info" onclick="javascript:history.back(); ; return true" value="<?php echo Text::_("Close"); ?>" name="cancel" />
		<input type="submit" class="commonButton btn btn-info" value="<?php echo Text::_("Next"); ?>" name="save" />
	</div>
</form>
</div></div></div></div>
