<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 848cd52c (2022-08-23 02:22:15)
// 

use ArfaCMS\Core\Date;
use ArfaCMS\Core\Router;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

echo "<h1 class=\"title\">".Text::_("New messages in themes")."</h1>";
echo "<div class=\"row\"><div class=\"col-md-12\"><div class=\"forums\"><div><table class=\"table table-bordered table-striped\">";
echo "<tr><th class=\"forum_title\">".Text::_("Theme")."</th>";
echo "<th width=\"20%\" class=\"forum_title\">".Text::_("Message")."</th>";
echo "</tr>";
if (count($this->themes)) {// выводим информацию о темах
	foreach($this->themes as $theme){
		if ($theme->t_deleted) $dclass=" deletedTheme"; 
		elseif (!$theme->t_enabled) $dclass=" disabledTheme";
		else $dclass="";
		echo "<tr class=\"rowTheme".$dclass."\"><td><a class=\"theme_title\" href=\"".Router::_("index.php?module=forum&view=theme&layout=lastpage&psid=".$theme->t_id.($theme->t_alias ? "&alias=".$theme->t_alias : ""))."\">".$theme->t_theme."</a></td>";
		echo "<td align=\"center\">";
		echo "<a  title=\"".Text::_("View theme")."\" href=\"".Router::_("index.php?module=forum&view=theme&layout=lastpage&psid=".$theme->t_id.($theme->t_alias ? "&alias=".$theme->t_alias : ""))."\">".Date::fromSQL($theme->p_date)."</a>";
		echo "<br />".Text::_("from")." "
			."<a title=\"".Text::_("Profile")."\" href=\"".Router::_("index.php?module=user&amp;view=info&amp;psid=".$theme->p_author_id)."\">".$theme->u_nickname."</a>"
			."</td>";
	}
}
echo "</table></div></div></div></div>";
?>