<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 524b6ada (2023-03-22 10:22:57)
// 

use ArfaCMS\Core\Portal;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");
?>
<div class="container">
    <div class="row">
        <div class="col-md-12">
            <div class="minihelp <?php echo Portal::getInstance()->noTemplate() ? "" : "rounded-pan"; ?>">
                <h3 class="title"><?php echo Text::_("Help on Arfa-CMS"); ?></h3>
                <h4 class="title"><a target="_blank" href="https://arfa-cms.ru/article/dokumentatsiya.html"><?php echo Text::_("Documentation on our site"); ?></a></h4>
                <h4 class="title"><a target="_blank" href="https://arfa-cms.ru/forum.html"><?php echo Text::_("Ask your question on our forum"); ?></a></h4>
                <h4 class="title"><a target="_blank" href="https://arfa-cms.ru/feedback/message.html"><?php echo Text::_("You can write to us via feedback form"); ?></a></h4>
            </div>
        </div>
    </div>
</div>


