<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 38678579 (2022-08-23 12:28:23)
// 

use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

?>
<div class="container"><div class="row"><div class="col-md-12"><div class="service-manager rounded-pan rounded-pan-medium">
	<h4 class="title"><?php echo Text::_("Cache manager"); ?></h4>
	<div class="cache-list">	
		<table class="table table-bordered table-hover table-condensed sprav-table">
		<?php 
		if ($this->folders) {
			foreach($this->folders as $folder){
				echo "<tr>";
				echo "<th colspan=\"3\">".Text::_(ucfirst($folder["filename"]))."</th>";
				echo "<td width=\"5\">
						<a class=\"deleteButton\" href=\"index.php?module=service&amp;task=deleteCacheFolder&amp;folder=".$folder["filename"]."\" onclick=\"javascript:if(confirm('".Text::_("Do you want to delete all files")." ".Text::_(ucfirst($folder["filename"]))." ?'))return true; else return false;\" title=\"".Text::_("Delete all")."\">
							<img width=\"1\" height=\"1\" src=\"/assets/images/blank.gif\" class=\"delete\" alt=\"".Text::_("Delete")."\" />
						</a>
					 </td>";
				echo "</tr>";
				$filelist=$folder["filename"]."_files";
				if ($this->{$filelist}){
					echo "<tr>";
					echo "<th>".Text::_("Name")."</th>";
					echo "<th>".Text::_("File size")."</th>";
					echo "<th>".Text::_("Date")."</th>";
					echo "<th>&nbsp;</th>";
					echo "</tr>";
					foreach ($this->{$filelist} as $file){
						echo "<tr class=\"rows\">";
						echo "<td>".$file["filename"]."</td>";
						echo "<td>".$file["filesize"]."</td>";
						echo "<td>".$file["filedate"]."</td>";
						echo "<td align=\"center\">
								<a class=\"deleteButton\" href=\"index.php?module=service&amp;task=deleteCacheFile&amp;file=".$file["filename"]."&amp;folder=".$folder["filename"]."\" onclick=\"javascript:if(confirm('".Text::_("Do you want to delete")." ".$file["filename"]." ?'))return true; else return false;\" title=\"".Text::_("Delete")."\">
									<img width=\"1\" height=\"1\" src=\"/assets/images/blank.gif\" class=\"delete\" alt=\"".Text::_("Delete")."\" />
								</a>
							</td>";
						echo "</tr>";
					}
				}
			}
		} else {
			echo "<tr><th class=\"cache_message\" colspan=\"3\">".Text::_("Cache absent")."</th></tr>";
		}
		?>
		</table>
	</div>
</div></div></div></div>