<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 1c6bb76a (2023-03-22 11:34:59)
// 

use ArfaCMS\Core\HTMLControls;
use ArfaCMS\Core\Portal;
use ArfaCMS\MVC\View;

defined('_ARFACMS_VALID') or die("Access denied");

class serviceViewMediamanager extends View {
	public function renderFull (){
		echo HTMLControls::renderHiddenField("mm_return_element", $this->return_element);
		if ($this->is_ajax) {
			echo HTMLControls::renderHiddenField("mm_nfl",$this->nfl);
			echo "<link href=\"".LINK_CSS."/modules/service.css\" type=\"text/css\" rel=\"stylesheet\" />";
			echo "<script src=\"".LINK_JS."/modules/service.js\"></script>";
			echo "<script src=\"".LINK_EXTRA."/jquery.plugins/jquery.form.min.js\"></script>";
		} else {
			Portal::getInstance()->addScript(LINK_EXTRA."/jquery.plugins/jquery.form.min.js");
			$script = "$(document).ready(function() { mm_prepareUploader(); });";
			Portal::getInstance()->addScriptDeclaration($script);
		}
		$this->render();
	}
}
?>