<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 0fc0f7b0 (2022-08-18 18:57:04)
// 

use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

echo "<hr />";
if (count($data)) {
	echo $this->renderSortPanel(); 
	foreach($data as $row){
		echo "<div class=\"search-results\">";
		echo "<div class=\"row\">";
		echo "<div class=\"searchRowTitle col-sm-12\"><h4 class=\"title\"><a rel=\"nofollow\" href=\"".$row["link"]."\" class=\"articleTitle\">".$row["ttl"]."</a></h4></div>";
		if($row["cdate"] || $row["img"]){
			echo "<div class=\"col-sm-2\"><div class=\"row\">";
			if ($row["cdate"]) {
				echo "<div class=\"searchRowDate col-xs-6 col-sm-12\">".$row["cdate"]."</div>";
			}
			if ($row["img"]) {
				echo "<div class=\"searchRowShort col-xs-6 col-sm-12\">".$row["img"]."</div>";
			}
			echo "</div></div>";
			$col_class="col-sm-10";
		} else {
			$col_class="col-sm-12";
		}
		echo "<div class=\"searchRowShort ".$col_class."\">".$row["txt"]."</div>";
		echo "</div>";
		echo "</div>";
	}
} else { echo "<p class=\"searchResult\">".Text::_("Records not found")."</p>"; }
?>
